
/************ LIGHTBOX EFFECTS ************/

body.lightbox-active {
    overflow: hidden;
}

.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.3s ease;
}

.lightbox img {
    max-width: 90%;
    max-height: 90%;
    border: 2px solid white;
    border-radius: 8px;
}

.lightbox.show {
    visibility: visible;
    opacity: 1;
}

.lightbox .close-btn {
    position: absolute;
    top: 30px;
    right: 30px;
    background: none;
    color: white;
    font-size: 36px;
    border: none;
    cursor: pointer;
    z-index: 3;
}

/************ SCROLL BAR ************/

::-webkit-scrollbar { width: 10px; height: 10px; }

::-webkit-scrollbar-track { background: linear-gradient(rgb(0,0,0), rgb(94, 104, 131)); }

::-webkit-scrollbar-thumb { background: linear-gradient(180deg, var(--gold), #85858500); }

::-webkit-scrollbar-thumb:hover { cursor: pointer; }

/************ SCROLL REVEAL ************/

.reveal {
    transition: transform 1s ease, opacity 1.5s ease;

    position: relative;
    transform: translateY(150px);
    opacity: 0;
}

.reveal.active {
    transform: translateY(0);
    opacity: 1;
}

/************ ANIMATED DIVIDERS ************/

.scroller {
    width: 88%;
    max-width: 1700px;
    height: 80px;
    margin: auto;
    margin-bottom: var(--spacing_large);
}

.scroller[data-animated="true"] {
    overflow: hidden;
    mask: linear-gradient(
        90deg,
        transparent,
        white 15%,
        white 85%,
        transparent
    );
    -webkit-mask: linear-gradient(
        90deg,
        transparent,
        white 15%,
        white 85%,
        transparent
    );
}

.scroller-inner {
    display: flex;
    gap: 1rem;
    overflow-x: hidden;
    margin: auto;
}

.scroller-inner img {
    height: 80px;
    width: auto;
    opacity: 0.75;
    -webkit-user-drag: none;
    pointer-events: none;
    user-select: none;
}

.scroller[data-animated="true"] .scroller-inner {
    flex-wrap: nowrap;
    animation: scroll 60s var(--_animation-direction, forwards) linear infinite;
    width: max-content;
}

.scroller[data-direction="reverse"] {
    --_animation-direction: reverse;
}

@keyframes scroll {
    to {
        transform: translateX(calc(-50% - 0.5rem));
    }
}